Question Switch forcing game updates on backups on SX?

Discussion in 'Switch - Backup Loaders & Modchips' started by SkinZ, Aug 15, 2018.

  1. SkinZ
    OP

    SkinZ Member

    Newcomer
    3
    Aug 15, 2018
    United Kingdom
    Hi,

    I own Mario Kart, and have played it for hours, but because I lose things easy, I have now got as an XCI.

    Since I am going to dump all my games to XCI to stop me losing them, I swapped my old small MicroSD card that was in the Switch for a new larger one.

    However this messed up the updates which I think were stored on the old SD, and now when I try and load Mario Kart it says that it needs to download an update.

    I deleted the data and tried to run it fresh (with save games backed up on checkpoint just in case) but still asks to download data.

    I have managed to download 5 or 6 different NSP updates from oldest to newest via PC to stop switch connecting online, but still I have a problem.

    When I install the older updates I get "Software needs to download an update", and when I install a newer update I get "You need the latest firmware to run this software version"

    So I'm a bit stuck. I've tried holding VOL+ and - on startup then rebooting to try and wipe any half installed updates but that didn't do it. I've tried deleting game data and factory restore (without wiping save) and that didn't do it.

    I dont want to update from 4.1.0 to 5.X to get it to work with the latest update, I just want to run the game again.

    I am running in Airplane mode but there may be a chance I connected to the internet (even though it was with supposedly safe Proxy settings) when testing out FTP. Has that contributed?

    Any ideas?

    Thanks in advance everyone
     
  2. MisterMue

    MisterMue Member

    Newcomer
    3
    Jan 18, 2013
    Germany
    thought of mirroring the old sd onto the new one?
     
    SkinZ likes this.
  3. isoboy

    isoboy GBAtemp Advanced Fan

    Member
    6
    Dec 23, 2016
    United States
    "I lose things easy."

    One of us.
     
    SkinZ and efxonly123 like this.
  4. wurstpistole

    wurstpistole I got 8 warning points

    Member
    11
    Nov 19, 2015
    Gambia, The
    You have savegame data that was created with an updated version. That's why the switch won't let you run this game unless you update. I saw that there were two new dumps released, rev001 and rev001, which is a reprint of the game with updates included. You might get lucky if you acquire the rev002 somehow and try to run this.
    I find it a bit weird that the game asks you to update your system though.
     
    Last edited by wurstpistole, Aug 15, 2018
    SkinZ likes this.
  5. Bakugo

    Bakugo Member

    Newcomer
    3
    Dec 28, 2016
    United States
    You can use devmenu to reset the RequiredVersion for that game if you're okay with playing an outdated version.
     
    SkinZ likes this.
  6. SkinZ
    OP

    SkinZ Member

    Newcomer
    3
    Aug 15, 2018
    United Kingdom
    Old one has be formatted unfortunately to do a proper clone.
    All I did was copy all files from old fat32 card to PC.
    Installed 4.1.0 with exfat update over 4.1.0 without exfat

    New card, EXFAT, copy everything from PC to card.
    Switch didn't like it.
    Re-format new card as fat32 in case the partitions messed it up somehow. Same error as above, so went back to EXFAT as dont want to split XCIs, and then came here!

    — Posts automatically merged - Please don't double post! —

    I might give that a go. Maybe get the NSP rev001 from places and test that out. Hopefully saves will be compatible. TBH i don't mind losing Kart saves, but I'd be gutted to lose Zelda saves!

    — Posts automatically merged - Please don't double post! —

    Haven't messed with Devmenu yet so I didn't know that was an option. But likely self-banned anyway so I may as well give that a go.

    Thanks for the suggestion
     
  7. SkinZ
    OP

    SkinZ Member

    Newcomer
    3
    Aug 15, 2018
    United Kingdom
    This was the problem!
    Downloaded every update nsp and installed oldest first and tried the game, fail, then next newest, fail etc etc finally tried an update that was 2 updates old and it worked straight away so must have been the version I was on last time I saved a game. Massive thanks to everyone!
     
Loading...